# Features & roadmap

* Matrix → KakaoTalk
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [ ] Stickers
      * [ ] Files
      * [ ] Voice messages
      * [ ] Videos
      * [ ] Images
      * [ ] Locations
    * [ ] Formatting
    * [ ] Replies
    * [ ] Mentions
  * [ ] Message redactions
  * [ ] Message reactions
  * [ ] Presence
  * [ ] Typing notifications
  * [ ] Read receipts
  * [ ] Power level
  * [ ] Membership actions
    * [ ] Invite
    * [ ] Kick
    * [ ] Leave
  * [ ] Room metadata changes
    * [ ] Name
    * [ ] Avatar
    * [ ] Per-room user nick
* KakaoTalk → Matrix
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [ ] Stickers
      * [ ] Videos
      * [ ] Images
    * [ ] Formatting
    * [ ] Replies
    * [ ] Mentions
  * [ ] Message reactions
  * [x] Message history
  * [ ] Presence
  * [ ] Typing notifications
  * [ ] Read receipts
  * [ ] Admin status
  * [ ] Membership actions
    * [ ] Add member
    * [ ] Remove member
    * [ ] Leave
  * [ ] Chat metadata changes
    * [x] Title
    * [ ] Avatar
  * [ ] Initial chat metadata
    * [x] Title
    * [ ] Avatar
  * [x] User metadata
    * [x] Name
    * [x] Avatar
* Misc
  * [x] Multi-user support
  * [x] Shared group chat portals
  * [ ] Automatic portal creation
    * [x] At startup
    * [ ] When added to chat
    * [x] When receiving message
  * [x] Private chat creation by inviting Matrix puppet of Messenger user to new room
  * [x] Option to use own Matrix account for messages sent from other Messenger clients
